org.apache.ignite.cluster

## Class ClusterTopologyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.cluster.ClusterTopologyException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ClusterGroupEmptyException

      public class ClusterTopologyException
      extends IgniteException

  This exception is used to indicate error with the cluster topology (e.g., crashed node, etc.).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterTopologyException(String msg)` Creates new topology exception with given error message.
    `ClusterTopologyException(String msg, @Nullable Throwable cause)` Creates new topology exception with given error message and optional nested exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IgniteFuture<?>` | `retryReadyFuture()`
    `void` | `retryReadyFuture(IgniteFuture<?> readyFut)`

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterTopologyException

          public ClusterTopologyException(String msg)

      Creates new topology exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### ClusterTopologyException

          public ClusterTopologyException(String msg,
                                          @Nullable
                                          @Nullable Throwable cause)

      Creates new topology exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

  - ### Method Detail

    - #### retryReadyFuture

          public IgniteFuture<?> retryReadyFuture()

      Returns:
        Retry ready future.

    - #### retryReadyFuture

          public void retryReadyFuture(IgniteFuture<?> readyFut)

      Parameters:
        `readyFut` - Retry ready future.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023